from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XChartShapeContainer(XInterface, Protocol):
    def addShape(self, xShape: XShape) -> None: ...
    def removeShape(self, xShape: XShape) -> None: ...
    def getShape(self) -> XShape: ...
